---
title: "Create startup report comments"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › startup-report-comments

`POST /v2/reports/{reportId}/versions/{reportVersionId}/startup-comments`

## Path parameters

- `reportId` (`startup-report-comments-create.path.reportId`; string, required)
  - format `uuid`
- `reportVersionId` (`startup-report-comments-create.path.reportVersionId`; string, required)
  - format `uuid`

## Request body

_Required._

- `body` (`startup-report-comments-create.body`; string, required)
  - minLength 1; maxLength 4000
- `idempotencyKey` (`startup-report-comments-create.idempotencyKey`; string, required)
  - format `uuid`
- `parentId` (`startup-report-comments-create.parentId`; string, optional)
  - format `uuid`

## Example request

```json
{
  "body": "string",
  "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
  "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/reports/<reportId>/versions/<reportVersionId>/startup-comments' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "string",
  "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
  "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<reportId>/versions/<reportVersionId>/startup-comments';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    body: 'string',
    parentId: '70850378-7d3c-4f45-91b7-942d4dfbbd43',
    idempotencyKey: '0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<reportId>/versions/<reportVersionId>/startup-comments"

payload = {
    "body": "string",
    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
    "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",
    "reportVersionId": "8f554eac-f5be-4229-b932-cf9099332331",
    "startupEntityId": "e54dea79-aa5c-4e2a-93df-a0dcd373cd04",
    "startupListingId": "d16a646b-f433-44ce-aaae-42761cf79f25",
    "authorUserId": "string",
    "body": "string",
    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`startup-report-comments-create.response.201.data`; object, required)
  - `id` (`startup-report-comments-create.response.201.data.id`; string, required)
    - format `uuid`
  - `reportId` (`startup-report-comments-create.response.201.data.reportId`; string, required)
    - format `uuid`
  - `reportVersionId` (`startup-report-comments-create.response.201.data.reportVersionId`; string, required)
    - format `uuid`
  - `startupEntityId` (`startup-report-comments-create.response.201.data.startupEntityId`; string, required)
    - format `uuid`
  - `startupListingId` (`startup-report-comments-create.response.201.data.startupListingId`; string, required)
    - format `uuid`
  - `authorUserId` (`startup-report-comments-create.response.201.data.authorUserId`; string, required)
    - minLength 1
  - `body` (`startup-report-comments-create.response.201.data.body`; string, required)
    - minLength 1; maxLength 4000
  - `parentId` (`startup-report-comments-create.response.201.data.parentId`; string, required, nullable)
    - format `uuid`
  - `createdAt` (`startup-report-comments-create.response.201.data.createdAt`; string, required)
    - format `date-time`
- `meta` (`startup-report-comments-create.response.201.meta`; object, optional)
  - `timestamp` (`startup-report-comments-create.response.201.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-report-comments-create.response.400.error`; object, required)
  - `code` (`startup-report-comments-create.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-report-comments-create.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-report-comments-create.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-report-comments-create.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-report-comments-create.response.401.error`; object, required)
  - `code` (`startup-report-comments-create.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-report-comments-create.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-report-comments-create.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-report-comments-create.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-report-comments-create.response.403.error`; object, required)
  - `code` (`startup-report-comments-create.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-report-comments-create.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-report-comments-create.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-report-comments-create.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-report-comments-create.response.404.error`; object, required)
  - `code` (`startup-report-comments-create.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-report-comments-create.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-report-comments-create.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-report-comments-create.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-report-comments-create.response.409.error`; object, required)
  - `code` (`startup-report-comments-create.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-report-comments-create.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-report-comments-create.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-report-comments-create.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-report-comments-create.response.500.error`; object, required)
  - `code` (`startup-report-comments-create.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-report-comments-create.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-report-comments-create.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-report-comments-create.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-report-comments-create.response.503.error`; object, required)
  - `code` (`startup-report-comments-create.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-report-comments-create.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-report-comments-create.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-report-comments-create.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-report-comments-create/index.md
